<Route
  @name={{routeName}}
as |route|>
{{#let (not (can "write intention for service" item=item.Service)) as |readOnly|}}
  <Consul::Intention::Form
    @readonly={{readOnly}}
    @nspace={{nspace}}
    @dc={{dc}}
    @src={{src}}
    @autofill={{hash
      DestinationName=service
    }}
    @onsubmit={{transition-to 'dc.services.show.intentions.index'}}
  />
{{/let}}
</Route>
